var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
import React from 'react';
import { UserService } from 'lsi-spfx-services';
import styles from './OverviewUserSection.module.scss';
export var OverviewUserSection = function (_a) {
    var label = _a.label, userLogins = _a.userLogins, hideCount = _a.hideCount, onSelectUser = _a.onSelectUser, reverseDisplay = _a.reverseDisplay;
    var _b = React.useState([]), users = _b[0], setUsers = _b[1];
    React.useEffect(function () {
        UserService.getCompleteUsers(userLogins).then(function (res) {
            setUsers(reverseDisplay ? __spreadArrays(res).reverse() : res);
        });
    }, [userLogins]);
    if (!userLogins.length)
        return null;
    var count = hideCount ? null : React.createElement("span", null,
        "(",
        userLogins.length,
        ")");
    return (React.createElement("div", { className: styles.root },
        React.createElement("h4", { className: styles.title },
            label,
            " ",
            count),
        React.createElement("div", { className: styles.personasList, role: "list" }, users.map(function (user) { return React.createElement(OverviewItem, { completeUser: user, onSelectUser: onSelectUser }); }))));
};
export var OverviewItem = function (_a) {
    var completeUser = _a.completeUser, onSelectUser = _a.onSelectUser;
    if (!completeUser)
        return null;
    var user = completeUser.user, profile = completeUser.profile;
    if (!user)
        user = {};
    if (!profile)
        profile = {};
    var imgSrc = "/_layouts/15/userphoto.aspx?size=M&accountname=" + profile.Email;
    return (React.createElement("div", { role: "listitem", className: styles.persona },
        React.createElement("button", { type: "button", className: styles.verticalPersona, role: "button", title: "Select to open profile", onClick: function () { return onSelectUser(profile.AccountName); } },
            React.createElement("div", { className: styles.container1 },
                React.createElement("div", { className: styles.personaCoinContainer },
                    React.createElement("div", { className: styles.imageContainer },
                        React.createElement("img", { key: profile.AccountName, src: imgSrc, alt: user.Title, className: styles.image }))),
                React.createElement("span", { className: styles.name }, profile.DisplayName),
                React.createElement("span", { className: styles.jobTitle }, profile.Title)))));
};
//# sourceMappingURL=OverviewUserSection.js.map